aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--autoconf/configure.ac69
-rwxr-xr-xconfigure138
2 files changed, 125 insertions, 82 deletions
diff --git a/autoconf/configure.ac b/autoconf/configure.ac
index 94b306f..771a8ee 100644
--- a/autoconf/configure.ac
+++ b/autoconf/configure.ac
@@ -99,7 +99,29 @@ AC_CANONICAL_TARGET
dnl Set the "OS" Makefile variable based on the system we are building on.
dnl We will use the build machine information to set some variables.
+
+AC_MSG_CHECKING([support for generic build operating system])
case $build in
+ *-*-aix*)
+ AC_SUBST(OS,[AIX])
+ platform_type="AIX"
+ ;;
+ *-*-cygwin*)
+ AC_SUBST(OS,[Cygwin])
+ platform_type="Cygwin"
+ ;;
+ *-*-darwin*)
+ AC_SUBST(OS,[Darwin])
+ platform_type="Darwin"
+ ;;
+ *-*-freebsd*)
+ AC_SUBST(OS,[Linux])
+ platform_type="Linux"
+ ;;
+ *-*-interix*)
+ AC_SUBST(OS,[SunOS])
+ platform_type="SunOS"
+ ;;
*-*-linux*)
AC_SUBST(OS,[Linux])
platform_type="Linux"
@@ -116,22 +138,6 @@ case $build in
AC_SUBST(LLVMGCCDIR,[/home/vadve/lattner/local/sparc/llvm-gcc/])
fi
;;
- *-*-cygwin*)
- AC_SUBST(OS,[Cygwin])
- platform_type="Cygwin"
- ;;
- *-*-darwin*)
- AC_SUBST(OS,[Darwin])
- platform_type="Darwin"
- ;;
- *-*-aix*)
- AC_SUBST(OS,[AIX])
- platform_type="AIX"
- ;;
- *-*-interix*)
- AC_SUBST(OS,[SunOS])
- platform_type="SunOS"
- ;;
*-*-win32*)
AC_SUBST(OS,[Win32])
platform_type="Win32"
@@ -143,7 +149,7 @@ case $build in
esac
dnl Make sure we aren't attempting to configure for an unknown system
-if test $platform_type -eq "Unknown" ; then
+if test "$platform_type" = "Unknown" ; then
AC_MSG_ERROR([Platform is unknown, configure can't continue])
fi
@@ -152,6 +158,9 @@ dnl This helps the #inclusion of the system specific include files
dnl for the operating system abstraction library
AC_CONFIG_LINKS(lib/System/platform:lib/System/$platform_type)
+AC_MSG_RESULT($platform_type)
+
+AC_MSG_CHECKING(target architecture)
dnl If we are targetting a Sparc machine running Solaris, pretend that it is
dnl V9, since that is all that we support at the moment, and autoconf will only
dnl tell us we're a sparc.
@@ -164,16 +173,26 @@ dnl Determine what our target architecture is and configure accordingly.
dnl This will allow Makefiles to make a distinction between the hardware and
dnl the OS.
case $target in
- i*86-*) AC_SUBST(ARCH,[x86])
- ;;
- sparc*-*) AC_SUBST(ARCH,[Sparc])
- ;;
- powerpc*-*) AC_SUBST(ARCH,[PowerPC])
- ;;
- *) AC_SUBST(ARCH,[Unknown])
- ;;
+ i*86-*)
+ ARCH="x86"
+ AC_SUBST(ARCH,[x86])
+ ;;
+ sparc*-*)
+ ARCH="Sparc"
+ AC_SUBST(ARCH,[Sparc])
+ ;;
+ powerpc*-*)
+ ARCH="PowerPC"
+ AC_SUBST(ARCH,[PowerPC])
+ ;;
+ *)
+ ARCH="Unknown"
+ AC_SUBST(ARCH,[Unknown])
+ ;;
esac
+AC_MSG_RESULT($ARCH)
+
dnl Check for compilation tools
AC_PROG_CXX
AC_PROG_CC(gcc)
diff --git a/configure b/configure
index b9c9393..3707f8d 100755
--- a/configure
+++ b/configure
@@ -1889,7 +1889,35 @@ test -n "$target_alias" &&
NONENONEs,x,x, &&
program_prefix=${target_alias}-
+
+echo "$as_me:$LINENO: checking support for generic build operating system" >&5
+echo $ECHO_N "checking support for generic build operating system... $ECHO_C" >&6
case $build in
+ *-*-aix*)
+ OS=AIX
+
+ platform_type="AIX"
+ ;;
+ *-*-cygwin*)
+ OS=Cygwin
+
+ platform_type="Cygwin"
+ ;;
+ *-*-darwin*)
+ OS=Darwin
+
+ platform_type="Darwin"
+ ;;
+ *-*-freebsd*)
+ OS=Linux
+
+ platform_type="Linux"
+ ;;
+ *-*-interix*)
+ OS=SunOS
+
+ platform_type="SunOS"
+ ;;
*-*-linux*)
OS=Linux
@@ -1910,26 +1938,6 @@ case $build in
fi
;;
- *-*-cygwin*)
- OS=Cygwin
-
- platform_type="Cygwin"
- ;;
- *-*-darwin*)
- OS=Darwin
-
- platform_type="Darwin"
- ;;
- *-*-aix*)
- OS=AIX
-
- platform_type="AIX"
- ;;
- *-*-interix*)
- OS=SunOS
-
- platform_type="SunOS"
- ;;
*-*-win32*)
OS=Win32
@@ -1942,7 +1950,7 @@ case $build in
;;
esac
-if test $platform_type -eq "Unknown" ; then
+if test "$platform_type" = "Unknown" ; then
{ { echo "$as_me:$LINENO: error: Platform is unknown, configure can't continue" >&5
echo "$as_me: error: Platform is unknown, configure can't continue" >&2;}
{ (exit 1); exit 1; }; }
@@ -1951,6 +1959,11 @@ fi
ac_config_links="$ac_config_links lib/System/platform:lib/System/$platform_type"
+echo "$as_me:$LINENO: result: $platform_type" >&5
+echo "${ECHO_T}$platform_type" >&6
+
+echo "$as_me:$LINENO: checking target architecture" >&5
+echo $ECHO_N "checking target architecture... $ECHO_C" >&6
case $target in
sparc*-*-solaris*) target=sparcv9-sun-solaris2.8
@@ -1958,20 +1971,31 @@ case $target in
esac
case $target in
- i*86-*) ARCH=x86
+ i*86-*)
+ ARCH="x86"
+ ARCH=x86
- ;;
- sparc*-*) ARCH=Sparc
+ ;;
+ sparc*-*)
+ ARCH="Sparc"
+ ARCH=Sparc
- ;;
- powerpc*-*) ARCH=PowerPC
+ ;;
+ powerpc*-*)
+ ARCH="PowerPC"
+ ARCH=PowerPC
- ;;
- *) ARCH=Unknown
+ ;;
+ *)
+ ARCH="Unknown"
+ ARCH=Unknown
- ;;
+ ;;
esac
+echo "$as_me:$LINENO: result: $ARCH" >&5
+echo "${ECHO_T}$ARCH" >&6
+
ac_ext=cc
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -4248,7 +4272,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 4251 "configure"' > conftest.$ac_ext
+ echo '#line 4275 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -5122,7 +5146,7 @@ fi
# Provide some information about the compiler.
-echo "$as_me:5125:" \
+echo "$as_me:5149:" \
"checking for Fortran 77 compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6153,11 +6177,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6156: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6180: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:6160: \$? = $ac_status" >&5
+ echo "$as_me:6184: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -6385,11 +6409,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6388: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6412: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:6392: \$? = $ac_status" >&5
+ echo "$as_me:6416: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -6452,11 +6476,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6455: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6479: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:6459: \$? = $ac_status" >&5
+ echo "$as_me:6483: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -8570,7 +8594,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 8573 "configure"
+#line 8597 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -8668,7 +8692,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 8671 "configure"
+#line 8695 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -10824,11 +10848,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:10827: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:10851: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:10831: \$? = $ac_status" >&5
+ echo "$as_me:10855: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -10891,11 +10915,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:10894: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:10918: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:10898: \$? = $ac_status" >&5
+ echo "$as_me:10922: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -12220,7 +12244,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 12223 "configure"
+#line 12247 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -12318,7 +12342,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 12321 "configure"
+#line 12345 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -13140,11 +13164,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13143: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13167: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:13147: \$? = $ac_status" >&5
+ echo "$as_me:13171: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -13207,11 +13231,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13210: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13234: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:13214: \$? = $ac_status" >&5
+ echo "$as_me:13238: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -15173,11 +15197,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15176: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15200: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:15180: \$? = $ac_status" >&5
+ echo "$as_me:15204: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -15405,11 +15429,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15408: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15432: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:15412: \$? = $ac_status" >&5
+ echo "$as_me:15436: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -15472,11 +15496,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15475: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15499: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:15479: \$? = $ac_status" >&5
+ echo "$as_me:15503: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -17590,7 +17614,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 17593 "configure"
+#line 17617 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -17688,7 +17712,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 17691 "configure"
+#line 17715 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H